Get all prices - Fabric

Get all prices

cURL

curl --request GET \
  --url 'https://live.copilot.fabric.inc/api-offers/price?limit=10&page=1&sortBy=updatedAt&sortOrder=desc' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://live.copilot.fabric.inc/api-offers/price?limit=10&page=1&sortBy=updatedAt&sortOrder=desc"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/price?limit=10&page=1&sortBy=updatedAt&sortOrder=desc', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

200

400

500

Response Structure

{
  "query": {
    "limit": 10,
    "count": 8,
    "page": 1
  },
  "prices": [
    {
      "_id": "616e011037a3810012345678",
      "isSoftDeleted": false,
      "itemId": 1000000051,
      "itemSku": "SKU123456",
      "offerId": 2386,
      "createdAt": "2020-02-02T17:22:48.570Z",
      "updatedAt": "2020-02-02T17:22:48.570Z",
      "job": false,
      "priceListId": 100000,
      "offers": [
        {
          "kind": 12,
          "channel": 12,
          "startDate": "2020-02-03T17:22:48.570Z",
          "endDate": "2020-02-05T17:22:48.570Z",
          "price": {
            "base": 299,
            "sale": 199,
            "cost": 149,
            "currency": "USD"
          },
          "offerCode": 130283400,
          "range": [
            {
              "minQuantity": 3,
              "price": 299,
              "maxQuantity": "Infinity",
              "width": [
                {
                  "minQuantity": 1,
                  "maxQuantity": "Infinity",
                  "price": 20.75
                }
              ]
            }
          ],
          "priceAttributes": [
            {
              "_id": "614dc5b0af8ee70008698202",
              "id": "614dc5b0af8ee70008698202"
            }
          ],
          "priceMethodType": "Range-Base"
        }
      ]
    }
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Bad Request"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorizations

Headers

{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}

Query Parameters